Returns OTLP logs records
/api/logsSample request12345678910111213141516curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/logs' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"timeRange": {"from": "now-10m","to": "now"},"filter": [{"key": "service.name","operator": "is","value": "shop"}]}'
Request body required
A range of time between two time references.
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
The ordering criteria for the returned logs.
Supported ordering key: otel.log.time (log timestamp, defaults to descending)
Cursor pagination for log records.
- Maximum and default limit: 200 elements per page
- We do not guarantee that the requested number of elements will be returned per page
- Multiple pages may be required to retrieve the requested number of signals
Responses
Returns log records in OTLP format.
Response for the GetLogRecords API. The response contains the log records that match the request.
This API deliberately reuses the full OTLP JSON format for logs. This is done to aid compatibility with existing OTLP consumers.
The property is only included when includeOTLPSchemaExtensions is true.
The property is only included when includeOTLPSchemaExtensions is true.
The cursors for the next sets of results. This property is included to support pagination through the result set when additional pages are available.
There is one ResourceLogs per resource. This is aligned to the data most OTLP batching algorithms would
produce, where there is one ResourceLogs per resource. This is done to aid compatibility with existing
OTLP consumers.
ResourceLogs are NOT sorted. There is no guarantee that ResourceLogs are sorted or that
LogRecords within them are sorted. However, it is guaranteed that all data is sorted across paged
requests.
Clients are advised to implement sorting within a page descending by the LogRecord's timeUnixNano,
observedTimeUnixNano and then id.